Bug 4773 - Installs to the wrong partition on a slave ide disk (??)
Installs to the wrong partition on a slave ide disk (??)
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
6.0
i386 Linux
high Severity high
: ---
: ---
Assigned To: Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-08-29 20:08 EDT by matti
Modified: 2015-01-07 18:37 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-09-01 08:54:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description matti 1999-08-29 20:08:47 EDT
I made a ext2 and swap partition in the beginning of my
slave ide harddisk with partition magic 4. Diskdruid
reported the ext2 disk as hdb6 and the swap as hdb7. When i
choosed to insall to hdb6 it tried to install to hdb8 and
destroyed the fat table and I lost everything on that
partition.
The same thing happened today when i tried it again.

When i let diskdruid make the partition it calls it hdb2
and messes up the partition table on the disk so no other
operating system can read it.

The disk is the slave disk on the primary ide controller.
Comment 1 Jay Turner 1999-09-01 08:54:59 EDT
Disk Druid tends to make assumptions about the geometry of the drive
that you are installing to.  If you want specific partitions in
specific places (you know that you want to create /dev/hdb8 for
example) then I would recommend that you use fdisk to partition your
drives.  Fdisk allows you to specify the exact partition number that
you are trying to create.

Note You need to log in before you can comment on or make changes to this bug.